<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'futage',

    /*
     * Package.
     */
    'package'   => 'show',

    /*
     * Modules.
     */
    'modules'   => ['show', 
'episode'],

    'show'       => [
        'model' => [
            'model'                 => \Futage\Show\Models\Show::class,
            'table'                 => 'shows',
            'presenter'             => \Futage\Show\Repositories\Presenter\ShowPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'description',  'show_time',  'show_day',  'logo',  'images',  'cast',  'details',  'slider',  'slug',  'status',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'show/show',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Futage',
            'package'   => 'Show',
            'module'    => 'Show',
        ],

    ],

    'episode'       => [
        'model' => [
            'model'                 => \Futage\Show\Models\Episode::class,
            'table'                 => 'episodes',
            'presenter'             => \Futage\Show\Repositories\Presenter\EpisodePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'show_id',  'episode_no',  'name',  'description',  'video_link',  'slug',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'show/episode',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Futage',
            'package'   => 'Show',
            'module'    => 'Episode',
        ],

    ],
];
