<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEpisodesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: episodes
         */
        Schema::create('episodes', function ($table) {
            $table->increments('id');
            $table->integer('show_id')->nullable();
            $table->integer('episode_no')->nullable();
            $table->text('name')->nullable();
            $table->string('description', 255)->nullable();
            $table->text('video_link')->nullable();
            $table->text('slug')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('episodes');
    }
}
