<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateShowsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: shows
         */
        Schema::create('shows', function ($table) {
            $table->increments('id');
            $table->text('name')->nullable();
            $table->string('description', 2555)->nullable();
            $table->time('show_time')->nullable();
            $table->text('show_day')->nullable();
            $table->text('logo')->nullable();
            $table->text('images')->nullable();
            $table->text('cast')->nullable();
            $table->text('details')->nullable();
            $table->enum('slider', ['Yes','No'])->nullable();
            $table->text('slug')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->integer('user_id')->nullable();
            $table->text('user_type')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('shows');
    }
}
